START TRANSACTION ;

-- --------------------------------------------------------
# rating_table
# 1. создать поле RecordBookID и связи для него
# 2. заполнить поле RecordBookID
# 3. удалить все связи поля StudentID и потом само поле

ALTER TABLE `rating_table`
  ADD COLUMN `RecordBookID` int(11),
  DROP FOREIGN KEY `rating_table_ibfk_1`,
  ADD CONSTRAINT `rating_table_ibfk_1` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`);

UPDATE rating_table As target,
  (SELECT students.ID As StudentID, record_books.ID As RecordBookID  FROM `students`
    INNER JOIN record_books ON students.RecordBookID = record_books.ID) As matching
SET target.RecordBookID = matching.RecordBookID WHERE target.StudentID = matching.StudentID;

ALTER TABLE `rating_table`
  DROP COLUMN `StudentID`;

-- --------------------------------------------------------
# logs_rating
# 1. создать поле RecordBookID и связи для него
# 2. заполнить поле RecordBookID
# 3. удалить все связи поля StudentID и потом само поле

ALTER TABLE `logs_rating`
  ADD COLUMN `RecordBookID` int(11),
  DROP FOREIGN KEY `logs_rating_ibfk_1`,
  ADD CONSTRAINT `logs_rating_ibfk_1` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`);

UPDATE logs_rating As target,
  (SELECT students.ID As StudentID, record_books.ID As RecordBookID  FROM `students`
    INNER JOIN record_books ON students.RecordBookID = record_books.ID) As matching
SET target.RecordBookID = matching.RecordBookID WHERE target.StudentID = matching.StudentID;

ALTER TABLE `logs_rating`
  DROP COLUMN `StudentID`;

-- --------------------------------------------------------
# discipline_students
# 1. создать поле RecordBookID и связи для него
# 2. заполнить поле RecordBookID
# 3. удалить все связи поля StudentID и потом само поле

ALTER TABLE `discipline_students`
  ADD COLUMN `RecordBookID` int(11),
  DROP FOREIGN KEY `disciplines_students_ibfk_2`,
  ADD CONSTRAINT `disciplines_students_ibfk_2` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`);

UPDATE discipline_students As target,
  (SELECT students.ID As StudentID, record_books.ID As RecordBookID  FROM `students`
    INNER JOIN record_books ON students.RecordBookID = record_books.ID) As matching
SET target.RecordBookID = matching.RecordBookID WHERE target.StudentID = matching.StudentID;

ALTER TABLE `discipline_students`
  DROP COLUMN `StudentID`;

-- --------------------------------------------------------
# logs_bind_students
# 1. создать поле RecordBookID и связи для него
# 2. заполнить поле RecordBookID
# 3. удалить все связи поля StudentID и потом само поле

ALTER TABLE `logs_binds_students`
  ADD COLUMN `RecordBookID` int(11),
  DROP FOREIGN KEY `logs_binds_students_ibfk_3`,
  ADD CONSTRAINT `logs_binds_students_ibfk_3` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`);

UPDATE logs_binds_students As target,
  (SELECT students.ID As StudentID, record_books.ID As RecordBookID  FROM `students`
    INNER JOIN record_books ON students.RecordBookID = record_books.ID) As matching
SET target.RecordBookID = matching.RecordBookID WHERE target.StudentID = matching.StudentID;

ALTER TABLE `logs_binds_students`
  DROP COLUMN `StudentID`;

-- --------------------------------------------------------
# groups_students
# 1. создать поле RecordBookID и связи для него
# 2. заполнить поле RecordBookID
# 3. удалить все связи поля StudentID и потом само поле

ALTER TABLE `students_groups`
  ADD COLUMN `RecordBookID` int(11),
  DROP FOREIGN KEY `students_groups_ibfk_1`,
  ADD CONSTRAINT `students_groups_ibfk_1` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`);

UPDATE students_groups As target,
  (SELECT students.ID As StudentID, record_books.ID As RecordBookID  FROM `students`
    INNER JOIN record_books ON students.RecordBookID = record_books.ID) As matching
SET target.RecordBookID = matching.RecordBookID WHERE target.StudentID = matching.StudentID;

ALTER TABLE `students_groups`
  DROP COLUMN `StudentID`;

COMMIT ;